function SheetSwitched (ncount)
     StopSheet=true;
return;end;
-- CreateConsole()
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function tiktak()
     playeffect("tiktak");
return;end;
function gameinput (sender,obj_id,attachedID)
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
  if sender==35 then
    if obj_id==901 then
      StartAnimation(901,0,3)
    return;end;  
  return;end;
  if sender==12 then

  -- WriteToConsole("flags.loc2 = "..tostring(flags.loc2).."flags.loc1 = "..tostring(flags.loc1))
  if SLevel==1.0 then return;end;
  if obj_id==113 then
      AddElement("gr",113);
    setcolor(113,0,0,0,0.5,1);
    StopEmiter("globus");
    MoveObjectToTree(113);
    flags.receipt=true;
    Set_Cursor(56,3);
    playeffect("29");
    end;
    if flags.loc2 then
    -- WriteToConsole("111111")
      if flags.loc1 and flags.loc2  then
      flags.loc2= false;
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
      return; end;  
      CreateWindow(150,250,"199",nil,nil,250,30);  
    return;end;  
  return;end;
  ---------------------------------------------END SENDER 12---------------------------------------------------

  if sender==26 then
    if obj_id==1 then
        frame=0;
      ShowMenu(false);
      add_free_leaf("comics1",5,51);
      set_satelite_leaf("barton_zal");
      DoFile(5,51)
    return;end;
  return;end;  
  if sender==15 then
    if obj_id==78 then
      CreateWindow(150,250,"264",1,nil,250,30);
    return;end;
  return;end;
    ---------------------------------------------END SENDER 26---------------------------------------------------
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
       AddParticleToObject(31,"zvezd3",212,316);
      MoveEmiter("zvezd3",212,316);
      if flags.cat then
        StartEmiter("zvezd3");
      end;      

    return;end;     
    if obj_id==503 then --название уровня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале уровня ----
      ShowMenu(true);
       CreateWindow(150,250,"197",nil,nil,250,30);  
      savegame(SaveLevel());       
      ------
    return;end;
  return;end;
    ---------------------------------------------END SENDER 33---------------------------------------------------
      if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
       if obj_id==31 then
         if attachedID == -1 then
          CreateWindow(150,250,"204",nil,nil,250,30);
         return; end;
         if attachedID == 200 then --заменить объект на летучую мышь
             playeffect("mau2");
          RemoveFromMouse(attachedID);
          SetAlfaSheet(2.0)
          DeleteElement("gr",attachedID);               
          flags.cat = false;

          Set_Cursor(31,3);
          speciale_action(2,31);
          speciale_action(2,77);
          StopEmiter("zvezd3");

          -- CreateWindow(150,250,"325",nil,nil,250,30);
         return; end;
         if (attachedID ~= 200) and  (attachedID > -1)  then
         RemoveFromMouse(attachedID);
          CreateWindow(150,250,"200",nil,nil,250,30);
         return; end;         
       return; end;

    
    if attachedID == -1 then
      if obj_id==501 then
        if flags.levelcomplete then
          LoadNextLevel()  
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;    
        
      if obj_id==67 then
         setcurentleaf("barton_vhod",5,0);
         SwitchToSheet("re");
                 savegame(SaveLevel());
      return; end;


        if obj_id==77 then
         if not flags.zapiska then
         if not flags.cat then
               playeffect("paper");  
           speciale_action(2,78,true);
          speciale_action(2,77);
           return; end;
           -- CreateWindow(150,250,"210");
         return; end;         
      return; end;
        if obj_id==78 then
              playeffect("paper");  
          speciale_action(2,78,true);
          
          collaps_obj(35,0,0,0,0);
          -- playeffect("20");
          setcolor(35,0,0,0,0.5,1);
          Set_Cursor(62,3);
          flags.zapiska= true;
  
    Set_Cursor(56,2)
    AddParticleToObject(56,"globus",827,429);
    MoveEmiter("globus",827,429);
    if not flags.minicomplete4 then
    StartEmiter("globus"); 
    end;
        
        return; end;

    if obj_id==56 then
      if (not flags.minicomplete4) then
        if flags.zapiska then 
          playeffect("29");
          add_free_leaf("Root","mini4",0,14);-- Добавляет чистый лист
          set_satelite_leaf("barton_zal");
          DoFile(0,14)
          flags.nohints=true;
          if not flags.proideno then
            mini_create();
          return; end;
        return; end;  
      CreateWindow(150,250,"205",nil,nil,250,30);
      return; end;
    return; end;
    
    if obj_id > 0 and obj_id < 200  then --кликаем на активный объект
      playeffect("20");
      collaps_obj(obj_id,0,0,10,1);
      return 0; end
    
    return; end;  
  return; end;
    ---------------------------------------------END SENDER 1---------------------------------------------------
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
    ---------------------------------------------END SENDER 14---------------------------------------------------
-------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev5.1".." "..sender.."\n")
  if SLevel==1.0 then return;end;
      flags.loc2 = true;
  return; end;  
  ---------------------------------------------END SENDER 4---------------------------------------------------
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if not flags.minicomplete4 and idObject==113 then  
    if not flags.zapiska then
    if  flags.cat then
      selectrandomobject(1.5,31);
    end;
    selectrandomobject(1.5,77);
    end;
    selectrandomobject(1.5,56);
    
   end;

  if idObject==35 then
    if flags.cat then
      selectrandomobject(1.5,31);
    return; end;
  selectrandomobject(1.5,35);
end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
  if idObject==35 then
    if flags.cat then
      selectrandomobject(1.5,31);
    return;end;
  selectrandomobject(1.5,35);
  return;end;
    if idObject==113 then
      selectrandomobject(1.5,56);
  return;end;
  selectrandomobject(1.5,idObject);
end;
